package main

import (
	"git.milar.in/milarin/slices"
)

func HasFileEssentialProperties(props *FileProperties) bool {
	if props.Resolution < MinResolution || props.Resolution > MaxResolution {
		return false
	}

	for _, essentialLanguage := range EssentialLanguages {
		if !slices.Contains(props.Languages, essentialLanguage) {
			return false
		}
	}

	for _, essentialSubtitle := range EssentialSubtitles {
		if !slices.Contains(props.Subtitles, essentialSubtitle) {
			return false
		}
	}

	return true
}
